Page MenuHomePhabricator

Add Phan to Babel
Closed, ResolvedPublic

Description

Babel lacks Phan tests and would be good to have.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 10:12 AM

Change 430572 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Babel@master] [WIP] Add Phan tests to Babel

https://gerrit.wikimedia.org/r/430572

MarcoAurelio added a comment.EditedMay 3 2018, 10:36 AM

So it seems just two phan issues need to be fixed (or suppressed if false positives):

10:34:48 <checkstyle version="6.5">
10:34:48   <file name="includes/Babel.php">
10:34:48     <error line="409" severity="info" message="array to bool comparison" source="PhanTypeComparisonFromArray"/>
10:34:48     <error line="438" severity="warning" message="Call to undeclared method \StatusValue::getWikiText" source="PhanUndeclaredMethod"/>
10:34:48   </file>
10:34:48 </checkstyle>

taint-check-plugin reports no issues so we can enable that too if that's okay; but in a new patch.

Change 430572 merged by jenkins-bot:
[mediawiki/extensions/Babel@master] Add Phan tests to Babel

https://gerrit.wikimedia.org/r/430572

MarcoAurelio closed this task as Resolved.May 4 2018, 9:45 PM
MarcoAurelio claimed this task.
MarcoAurelio removed a project: Patch-For-Review.

Done & CI setup completed as well.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMay 4 2018, 9:45 PM
Vvjjkkii renamed this task from Add Phan to Babel to 3pdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 2:05 AM